--
-- dice Lua plugin for TS3
-- written 2015 by silmar.alech(at)wombaz.de
--

require("ts3init")
require("dice/events")

local registeredEvents = {
  onTextMessageEvent           = diceroll_events.onTextMessageEvent,
  onPluginCommandEvent         = diceroll_events.onPluginCommandEvent,
  onClientMoveEvent            = diceroll_events.onClientMoveEvent,
  onClientMoveMovedEvent       = diceroll_events.onClientMoveMovedEvent,
  onConnectStatusChangeEvent   = diceroll_events.onConnectStatusChangeEvent
}

math.randomseed(os.time())

ts3RegisterModule("diceroll", registeredEvents)
